Bug 28662 - Not possible to log out of patron account in OPAC with JavaScript disabled
Summary: Not possible to log out of patron account in OPAC with JavaScript disabled
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 27445
Blocks:
  Show dependency treegraph
 
Reported: 2021-07-03 21:01 UTC by Katrin Fischer
Modified: 2021-08-03 04:48 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.03


Attachments
Bug 28662: Not possible to log out of patron account in OPAC with JavaScript disabled (2.33 KB, patch)
2021-07-06 13:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28662: Not possible to log out of patron account in OPAC with JavaScript disabled (2.39 KB, patch)
2021-07-09 20:27 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28662: Not possible to log out of patron account in OPAC with JavaScript disabled (2.49 KB, patch)
2021-07-16 06:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-07-03 21:01:34 UTC
While testing the patches from bug 27445 I noticed that there is no log out option visible when using the OPAC with Javascript disabled.
Comment 1 Owen Leonard 2021-07-06 13:08:46 UTC
Created attachment 122619 [details] [review]
Bug 28662: Not possible to log out of patron account in OPAC with JavaScript disabled

This patch adds a "Log out" link to the OPAC header which is hidden by
CSS when JavaScript is enabled.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Log in to the OPAC with JavaScript disabled in your browser.
 - In the header next to the logged-in user's name there should be a
   "Log out." link.
 - Confirm that it logs the user out.
 - Enable JavaScript and repeat the process to confirm that the new
   logout link doesn't appear.
Comment 2 Lucas Gass 2021-07-09 20:27:46 UTC
Created attachment 122756 [details] [review]
Bug 28662: Not possible to log out of patron account in OPAC with JavaScript disabled

This patch adds a "Log out" link to the OPAC header which is hidden by
CSS when JavaScript is enabled.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Log in to the OPAC with JavaScript disabled in your browser.
 - In the header next to the logged-in user's name there should be a
   "Log out." link.
 - Confirm that it logs the user out.
 - Enable JavaScript and repeat the process to confirm that the new
   logout link doesn't appear.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Marcel de Rooy 2021-07-16 06:32:38 UTC
(In reply to Katrin Fischer from comment #0)
> While testing the patches from bug 27445 I noticed that there is no log out
> option visible when using the OPAC with Javascript disabled.

Since so much functionality depends on javascript/jquery, I am wondering if we still should take care of these things? Surely, logging out is very fundamental. But more in general?
Comment 4 Marcel de Rooy 2021-07-16 06:39:07 UTC
Created attachment 122867 [details] [review]
Bug 28662: Not possible to log out of patron account in OPAC with JavaScript disabled

This patch adds a "Log out" link to the OPAC header which is hidden by
CSS when JavaScript is enabled.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Log in to the OPAC with JavaScript disabled in your browser.
 - In the header next to the logged-in user's name there should be a
   "Log out." link.
 - Confirm that it logs the user out.
 - Enable JavaScript and repeat the process to confirm that the new
   logout link doesn't appear.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Owen Leonard 2021-07-16 11:26:36 UTC
(In reply to Marcel de Rooy from comment #3)

> Since so much functionality depends on javascript/jquery, I am wondering if
> we still should take care of these things? Surely, logging out is very
> fundamental. But more in general?

We have always tried to provide a usable experience to users of the OPAC without JavaScript. I think it's time to re-evaluate that choice, but we should probably begin that process in a dev meeting.
Comment 6 Jonathan Druart 2021-07-26 09:24:27 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-07-30 14:31:51 UTC
Pushed to 21.05.x for 21.05.03
Comment 8 Fridolin Somers 2021-08-03 04:48:19 UTC
Ah dependency Bug 27445 is not in 21.05.x but this one is.

In any case I dont push to 20.11.x